Pular para o conteúdo
Alibaba logo

HappyHorse 1.1 T2V

Text-to-Video • Alibaba

Ver como Markdown
  • Third-party

Alibaba's HappyHorse 1.1 text-to-video model. Generates videos from a text prompt with stronger dynamic expressiveness, better visual quality, and improved instruction following over 1.0. Configurable resolution, aspect ratio, and duration (3-15s).

Model Info
Terms and License link
More information link
Pricing View pricing in the Cloudflare dashboard

Usage

const response = await env.AI.run(
  'alibaba/hh1.1-t2v',
  { prompt: 'A little girl walking on the road' },
)
console.log(response)
curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
  --header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
  --header "Content-Type: application/json" \
  --data '{
  "model": "alibaba/hh1.1-t2v",
  "input": {
    "prompt": "A little girl walking on the road"
  }
}'
{
  "state": "Completed",
  "result": {
    "video": "https://examples.aig.cloudflare.com/alibaba/hh1.1-t2v/simple-text-to-video.mp4"
  },
  "gatewayMetadata": {
    "keySource": "Unified"
  }
}

Parameters

prompt
stringrequiredminLength: 1maxLength: 2500
resolution
stringenum: 720P, 1080P
ratio
stringenum: 16:9, 9:16, 1:1, 4:3, 3:4
duration
integerminimum: 3maximum: 15
seed
integerminimum: 0maximum: 2147483647
watermark
boolean
video
stringformat: uri

API Schemas (Raw)

Input
Output